import request from '@/utils/request'

// 查询学校类型设置（综合类、理工类）列表
export function listMallConfigType(query) {
  return request({
    url: '/mall/mallConfigType/list',
    method: 'get',
    params: query
  })
}

// 查询学校类型设置（综合类、理工类）详细
export function getMallConfigType(configTypeId) {
  return request({
    url: '/mall/mallConfigType/' + configTypeId,
    method: 'get'
  })
}

// 新增学校类型设置（综合类、理工类）
export function addMallConfigType(data) {
  return request({
    url: '/mall/mallConfigType',
    method: 'post',
    data: data
  })
}

// 修改学校类型设置（综合类、理工类）
export function updateMallConfigType(data) {
  return request({
    url: '/mall/mallConfigType',
    method: 'put',
    data: data
  })
}

// 删除学校类型设置（综合类、理工类）
export function delMallConfigType(configTypeId) {
  return request({
    url: '/mall/mallConfigType/' + configTypeId,
    method: 'delete'
  })
}
